%define momorel 3

Summary: Fast Light Tool Kit (FLTK)
Name: fltk
Version: 1.1.4
Release: %{momorel}m
License: LGPL
Group: System Environment/Libraries
%NoSource 0 ftp://ftp.easysw.com/pub/fltk/%{version}/%{name}-%{version}-source.tar.gz d0f334a46d583d26171f9071d1ff278a
URL: http://www.fltk.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: XFree86-devel 

%description
The Fast Light Tool Kit ("FLTK", pronounced "fulltick") is a
cross-platform C++ GUI toolkit for UNIX(r)/Linux(r) (X11),
Microsoft(r) Windows(r), and MacOS(r) X.  FLTK provides modern
GUI functionality without the bloat and supports 3D graphics via
OpenGL(r) and its built-in GLUT emulation.

%package devel
Summary: FLTK - development environment
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Install fltk-devel if you need to develop FLTK applications. 
You'll need to install the fltk package if you plan to run
dynamically linked applications.

%prep
#'
%setup -q

%build
./configure --prefix=%{_prefix} --enable-shared --enable-xft --enable-xdbe
make

%install
rm -rf %{buildroot}
make -e prefix=%{buildroot}%{_prefix} mandir=%{buildroot}%{_mandir} install

# remove
rm -rf %{buildroot}%{_docdir}/fltk
rm -rf %{buildroot}%{_mandir}/cat*

%post
/sbin/ldconfig

%postun
if [ "$1" = 0 ]; then
    /sbin/ldconfig
fi

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc CHANGES COPYING README documentation
%{_libdir}/libfltk*.so.*
%{_mandir}/man1/*

%files devel
%defattr(-, root, root)
%{_bindir}/*
%dir %{_includedir}/FL
%{_includedir}/FL/*
%{_includedir}/Fl
%{_libdir}/libfltk*.a
%{_libdir}/libfltk*.so
%{_mandir}/man1/*
%{_mandir}/man3/*

%changelog
* Thu Mar 18 2004 Toru Hoshina <t@momonga-linux.org>
- (1.1.4-3m)
- revised spec for enabling rpm 4.2.

* Tue Dec 16 2003 Kazuhiko <kazuhiko@fdiary.net>
- (1.1.4-2m)
- add missing files to devel package
- run ldconfig

* Tue Dec 16 2003 Masayuki SANO <sano@acs.i.kyoto-u.ac.jp>
- (1.1.4-1m)
- update to 1.1.4

* Sat Nov  9 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (1.0.11-9m)
- add BuildPreReq: XFree86-devel
- rebuild against gcc-3.2

* Tue Jun  4 2002 Kazuhiko <kazuhiko@kondara.org>
- (1.0.11-8k)
- *-devel should equires %{name} = %{version}-%{release}

* Thu May 30 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (1.0.11-6k)
- cancel gcc-3.1 autoconf-2.53

* Tue May 28 2002 Toru Hoshina <t@kondara.org>
- (1.0.11-4k)
- rebuild by g++ 2.95.3.

* Fri Feb 22 2002 Mitsuru Shimamura <mitsuru@diana.dti.ne.jp>
- (1.0.11-2k)
- import from Jirai

